Package org.eclipse.ecf.remoteservice.servlet

## Interface IRemoteCallResponseSerializer

All Known Implementing Classes:
  `ObjectSerializationResponseSerializer`

    public interface IRemoteCallResponseSerializer

Remote call response serializer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `serializeResponse​(javax.servlet.http.HttpServletResponse resp, Object responseObject)` Serialize responseObject to HttpServletResponse

### Method Detail

#### serializeResponse

    void serializeResponse​(javax.servlet.http.HttpServletResponse resp,
                           Object responseObject)
                    throws IOException,
                           javax.servlet.ServletException

Serialize responseObject to HttpServletResponse

Parameters:
  `resp` - the HttpServletResponse object. Will not be `null`.
  `responseObject` - to serialize to resp
Throws:
  `IOException` - if resposeObject cannot be serialized
  `javax.servlet.ServletException` - if responseObject cannot be serialized